Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.engine.gui.components
Class EnhancedTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          uchicago.src.sim.engine.gui.components.EnhancedTableModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

Direct Known Subclasses:
  ParameterDataObjectTableModel

    public abstract class EnhancedTableModel

extends javax.swing.table.AbstractTableModel

This is a contract for all table models

Author:
  wes maciorowski
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`EnhancedTableModel()`

Method Summary
`void` | `fixColumnSizing(java.lang.Object aValue, int row, int col)`
`EnhancedJTable` | `getEnhancedJTable()`
`abstract void` | `insertRow()` Needs to be implemented
`abstract void` | `removeRow(int i)` Needs to be implemented
`void` | `setEnhancedJTable(EnhancedJTable enhancedJTable)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getColumnName, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.table.TableModel
`getColumnCount, getRowCount, getValueAt`

Constructor Detail

### EnhancedTableModel

    public EnhancedTableModel()

Method Detail

### insertRow

    public abstract void insertRow()

  Needs to be implemented

  Parameters:
    `i` -

### removeRow

    public abstract void removeRow(int i)

  Needs to be implemented

  Parameters:
    `i` -

### setEnhancedJTable

    public void setEnhancedJTable(EnhancedJTable enhancedJTable)

  Parameters:
    `enhancedJTable` - The enhancedJTable to set.

### getEnhancedJTable

    public EnhancedJTable getEnhancedJTable()

  Returns:
    Returns the enhancedJTable.

### fixColumnSizing

    public void fixColumnSizing(java.lang.Object aValue,
                                int row,
                                int col)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD